> For the complete documentation index, see [llms.txt](https://docs.elimity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elimity.com/release-notes/v3.38.0.md).

# v3.38.0

We are happy to announce release v3.38.0 of Elimity Insights, released on 6 March 2025.

## Summary

This section summarizes the most important changes in release v3.38.0.

<details>

<summary>New functionality</summary>

* Adobe built-in connector
* SharePoint built-in connector

</details>

<details>

<summary>Bug fixes &#x26; improvements</summary>

* Directness labels in peer review Excel downloads
* GitHub built-in connector improvements

</details>

<details>

<summary>Deployment changes</summary>

*None*

</details>

## New functionality

### Adobe built-in connector <a href="#h_01jqbxbjm9znha3yj0t3gv2p9f" id="h_01jqbxbjm9znha3yj0t3gv2p9f"></a>

Elimity Insights v3.38.0 includes support for Adobe in its built-in connector library. This new connector imports users and groups from your Adobe environment. Refer to [our dedicated documentation](/reference-manual/built-in-connectors/adobe.md) for more details.

### SharePoint built-in connector

The v3.38.0 release also includes a built-in connector for SharePoint, allowing connector admins to import users, groups, roles, files and sites from their SharePoint tenants. As always, [our dedicated documentation](/reference-manual/built-in-connectors/sharepoint.md) contains additional information.

## Bug fixes & improvements <a href="#h_01h9mxgpqs599yv2hb64zhwdk9" id="h_01h9mxgpqs599yv2hb64zhwdk9"></a>

### Directness labels in peer review Excel downloads

The v3.38.0 release adds support for directness labels to Excel downloads on the peer review page. More specifically, the resulting spreadsheets will now use 'd', 'i' and 'di' instead of 'v' if you enabled the 'Show directness' option before downloading.

### GitHub built-in connector improvements

Elimity Insights v3.38.0 also includes a few minor improvements for the GitHub built-in connector:

* Imported repositories now include an additional 'visibility' attribute.
* Outside collaborators are no longer incorrectly linked to at most one repository.

## Migration information <a href="#h_01h9mxgpqs599yv2hb64zhwdk9" id="h_01h9mxgpqs599yv2hb64zhwdk9"></a>

To migrate from v3.37.x to v3.38.0, we suggest the following steps:

1. Make a backup of your existing database.
2. Make a backup of your existing installation directory.
3. Migrate your installation by installing the files for v3.38.0, as described below.
4. Migrate your database, as described below.
5. Start the server and validate that it works as before.

### Installing the files for v3.38.0 <a href="#h_01h9mxgpqsdj7y3gp98dbbb8hy" id="h_01h9mxgpqsdj7y3gp98dbbb8hy"></a>

To install Elimity Insights v3.38.0, copy the following files from the v3.38.0 release to your current installation folder:

* The appropriate binary of Elimity Insights for your OS:
  * `elimity-insights-linux-x86_64`
  * `elimity-insights-macos-x86_64`
  * `elimity-insights-windows-x86_64.exe`
* The appropriate binary of the database migration tool for your OS:
  * `elimity-insights-database-migrate-macos-x86_64`
  * `elimity-insights-database-migrate-linux-x86_64`
  * `elimity-insights-database-migrate-windows-x86_64.exe`

### Migrating the database

The database migration is performed by running one of the following executables depending on your OS:

* `elimity-insights-database-migrate-macos-x86_64`
* `elimity-insights-database-migrate-linux-x86_64`
* `elimity-insights-database-migrate-windows-x86_64.exe`

You can use the command line argument `help` to get help info:

```shell-session
$ ./elimity-insights-database-migrate-macos-x86_64 help
```

You can use the command line argument `target-versions` to display the list of supported target versions:

```shell-session
$ ./elimity-insights-database-migrate-macos-x86_64 target-versions
```

To migrate your database, use a command similar to the following:

```shell-session
$ ./elimity-insights-database-migrate-macos-x86_64 migrate -dsn 'postgresql://<postgres-user>:<postgres-password>@<your-host>:5432/<your-elimity-db-name>' -target-version 'v3.38'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elimity.com/release-notes/v3.38.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
